Next: feof, Previous: fcloseall, Up: Stdio

### 4.6 `fdopen`—turn open file into a stream

Synopsis

         #include <stdio.h>
         FILE *fdopen(int fd, const char *mode);
         FILE *_fdopen_r(struct _reent *reent,
             int fd, const char *mode);

Description
`fdopen` produces a file descriptor of type `FILE *`, from a descriptor for an already-open file (returned, for example, by the system subroutine `open` rather than by `fopen`). The mode argument has the same meanings as in `fopen`.

Returns
File pointer or `NULL`, as for `fopen`.

Portability
`fdopen` is ANSI.